ChangeSet 1.1371.759.3, 2004/04/23 14:48:47-07:00, stern@rowland.harvard.edu

[PATCH] USB: Remove unusual_devs entries for Minolta DiMAGE 7, 7Hi

It looks safe to conclude that the unusual_devs.h entries for the Minolta
DiMAGE 7x cameras aren't needed.  (Michael has tested the 7Hi and it's
definitely unnecessary.)  The two other DiMAGE entries probably aren't
needed either, but we don't have any evidence of that so I'm leaving them.


 drivers/usb/storage/unusual_devs.h |   16 ----------------
 1 files changed, 16 deletions(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri May 14 15:34:38 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri May 14 15:34:38 2004
@@ -438,22 +438,6 @@
 		US_FL_SINGLE_LUN ),
 #endif
 
-/* Following three Minolta cameras reported by Martin Pool
- * <mbp@sourcefrog.net>.  Originally discovered by Kedar Petankar,
- * Matthew Geier, Mikael Lofj"ard, Marcel de Boer.
- */
-UNUSUAL_DEV( 0x0686, 0x4006, 0x0001, 0x0001,
-		"Minolta",
-		"DiMAGE 7",
-		US_SC_SCSI, US_PR_DEVICE, NULL,
-		0 ),
-
-UNUSUAL_DEV( 0x0686, 0x400f, 0x0001, 0x0001,
-		"Minolta",
-		"DiMAGE 7Hi",
-		US_SC_SCSI, US_PR_DEVICE, NULL,
-		0 ),
-
 /* Submitted by Benny Sjostrand <benny@hostmobility.com> */
 UNUSUAL_DEV( 0x0686, 0x4011, 0x0001, 0x0001,
 		"Minolta",
